SRD Standelone programmation box: tSRDEeprom Struct Reference

| SRD Standelone programmation box 2.0 (16/11/15 10:00:00) Documentation of the SRD standelone programmation box

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Macros Pages
Data Fields
tSRDEeprom Struct Reference

Structure used to represent and store SRD RFID memory. More...

`#include "SRDMemoryMapping.h"`

## Data Fields

unsigned char | version
union {
struct {
unsigned char RSVD0: 1
unsigned char rfAccessInProgress: 1
unsigned char rfDiag: 1
unsigned char rfSynchro: 1
unsigned char RSVD1: 4
} bits
unsigned char all
} | ctrlModule
union {
struct {
unsigned char RSVD0: 1
unsigned char mcuMemoryAccess: 1
unsigned char RSVD1: 6
} bits
unsigned char all
} | statusModule
union {
struct {
unsigned char output: 1
unsigned char pressure: 1
unsigned char current: 1
unsigned char timer: 1
unsigned char battery: 1
unsigned char supercap: 1
unsigned char eeprom: 1
unsigned char watchdog: 1
} bits
unsigned char all
} | errorStatus
unsigned char | debug
unsigned char | activationDepth
unsigned char | filterMSB
unsigned char | filterLSB
unsigned char | calMeas0MSB
unsigned char | calMeas0LSB
unsigned char | calMeas1MSB
unsigned char | calMeas1LSB
unsigned char | calDepth0MSB
unsigned char | calDepth0LSB
unsigned char | calDepth1MSB
unsigned char | calDepth1LSB
unsigned char | calOffsetMSB
unsigned char | calOffsetLSB
unsigned char | calCheckSumMSB
unsigned char | calCheckSumLSB
unsigned char | serial0
unsigned char | serial1
unsigned char | serial2
unsigned char | serial3
unsigned char | serial4
unsigned char | serial5
unsigned char | serial6
unsigned char | serial7
unsigned char | serial8
unsigned char | serial9
unsigned char | checksumGenMSB
unsigned char | checksumGenLSB
unsigned char | batLevelLSB
unsigned char | capLevelLSB
unsigned char | periodMSB
unsigned char | periodLSB
unsigned char | anaPressInitMSB
unsigned char | anaPressInitLSB
unsigned char | iSensInitMSB
unsigned char | iSensInitLSB
unsigned char | anaPressCheckMSB
unsigned char | anaPressCheckLSB
unsigned char | iSensCheckMSB
unsigned char | iSensCheckLSB
unsigned char | anaPressActivMSB
unsigned char | anaPressActivLSB
unsigned char | FBBeforeLSB
unsigned char | FBCehckLSB
unsigned char | anaPressMaxMSB
unsigned char | anaPressMaxLSB
unsigned char | anaPressInitMinMSB
unsigned char | anaPressInitMinLSB
unsigned char | anaPressInitMaxMSB
unsigned char | anaPressInitMaxLSB
unsigned char | anaPressInitChecksum
unsigned char | minBatteryVoltage
unsigned char | SRDSerial1
unsigned char | SRDSerial2
unsigned char | SRDSerial3
unsigned char | SRDSerial4
unsigned char | SRDSerial5
unsigned char | SRDSerial6
unsigned char | SRDSerial7
unsigned char | SRDSerial8

## Detailed Description

Structure used to represent and store SRD RFID memory.

Definition at line 130 of file SRDMemoryMapping.h.

## Field Documentation

unsigned char tSRDEeprom::activationDepth

Activation depth

Definition at line 168 of file SRDMemoryMapping.h.

Referenced by ButtonManagerDealer(), ButtonManagerDisplayRead(), ButtonManagerDisplayWrite(), and RFIDWriteStateMachine().

unsigned char tSRDEeprom::all

global byte access

Global byte access

Definition at line 141 of file SRDMemoryMapping.h.

Referenced by ButtonManagerDisplayRead(), and RFIDWriteStateMachine().

unsigned char tSRDEeprom::anaPressActivLSB

Analog pressure activation LSB

Definition at line 208 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::anaPressActivMSB

Analog pressure activation MSB

Definition at line 207 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::anaPressCheckLSB

Analog pressure check LSB

Definition at line 204 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::anaPressCheckMSB

Analog pressure check MSB

Definition at line 203 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::anaPressInitChecksum

Analog pressure initialization checksum

Definition at line 217 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::anaPressInitLSB

Analog pressure at the startup LSB

Definition at line 200 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::anaPressInitMaxLSB

Analog pressure initialization max LSB

Definition at line 216 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::anaPressInitMaxMSB

Analog pressure initialization max MSB

Definition at line 215 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::anaPressInitMinLSB

Analog pressure initialization min LSB

Definition at line 214 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::anaPressInitMinMSB

Analog pressure initialization min MSB

Definition at line 213 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::anaPressInitMSB

Analog pressure at the startup MSB

Definition at line 199 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::anaPressMaxLSB

Maximum analog pressure LSB

Definition at line 212 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::anaPressMaxMSB

Maximum analog pressure MSB

Definition at line 211 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::batLevelLSB

Battery level

Definition at line 195 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::battery

Error battery

Definition at line 159 of file SRDMemoryMapping.h.

struct { ... } tSRDEeprom::bits

Bit access

Referenced by ButtonManagerDisplayRead().

struct { ... } tSRDEeprom::bits

Bit access

struct { ... } tSRDEeprom::bits

Bit access

unsigned char tSRDEeprom::calCheckSumLSB

Calibration checksum LSB

Definition at line 182 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::calCheckSumMSB

Calibration checksum MSB

Definition at line 181 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::calDepth0LSB

Calibration depth LSB point 0

Definition at line 176 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::calDepth0MSB

Calibration depth MSB point 0

Definition at line 175 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::calDepth1LSB

Calibration depth LSB point 1

Definition at line 178 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::calDepth1MSB

Calibration depth MSB point 1

Definition at line 177 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::calMeas0LSB

Calibration measure LSB point 0

Definition at line 172 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::calMeas0MSB

Calibration measure MSB point 0

Definition at line 171 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::calMeas1LSB

Calibration measure LSB point 1

Definition at line 174 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::calMeas1MSB

Calibration measure MSB point 1

Definition at line 173 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::calOffsetLSB

Calibration offset lSB

Definition at line 180 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::calOffsetMSB

Calibration offset MSB

Definition at line 179 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::capLevelLSB

Super capacitor level

Definition at line 196 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::checksumGenLSB

Checksum LSB

Definition at line 194 of file SRDMemoryMapping.h.

Referenced by RFIDWriteStateMachine().

unsigned char tSRDEeprom::checksumGenMSB

Checksum MSB

Definition at line 193 of file SRDMemoryMapping.h.

Referenced by RFIDWriteStateMachine().

union { ... } tSRDEeprom::ctrlModule

Control module field

Referenced by RFIDWriteStateMachine().

unsigned char tSRDEeprom::current

Error current

Definition at line 157 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::debug

Debug

Definition at line 167 of file SRDMemoryMapping.h.

Referenced by RFIDWriteStateMachine().

unsigned char tSRDEeprom::eeprom

Error EEPROM

Definition at line 161 of file SRDMemoryMapping.h.

union { ... } tSRDEeprom::errorStatus

Error status field

Referenced by ButtonManagerDisplayRead().

unsigned char tSRDEeprom::FBBeforeLSB

Flotation bag before activation LSB

Definition at line 209 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::FBCehckLSB

Flotation back check LSB

Definition at line 210 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::filterLSB

Filter LSB

Definition at line 170 of file SRDMemoryMapping.h.

Referenced by ButtonManagerDealer(), and RFIDWriteStateMachine().

unsigned char tSRDEeprom::filterMSB

Filter MSB

Definition at line 169 of file SRDMemoryMapping.h.

Referenced by ButtonManagerDealer(), and RFIDWriteStateMachine().

unsigned char tSRDEeprom::iSensCheckLSB

iSens check LSB

Definition at line 206 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::iSensCheckMSB

iSens check MSB

Definition at line 205 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::iSensInitLSB

iSens at the startup LSB

Definition at line 202 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::iSensInitMSB

iSens at the startup MSB

Definition at line 201 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::mcuMemoryAccess

MCU memory access in pogress

Definition at line 147 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::minBatteryVoltage

Minimum battery voltage

Definition at line 218 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::output

Error output load

Definition at line 155 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::periodLSB

PeriodLSB

Definition at line 198 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::periodMSB

period MSB

Definition at line 197 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::pressure

Error pressure

Definition at line 156 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::rfAccessInProgress

RF access in progress flag

Definition at line 136 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::rfDiag

Rf Diag flag

Definition at line 137 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::rfSynchro

Rf synchro flag

Definition at line 138 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::RSVD0

RESERVED

Definition at line 135 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::RSVD1

RESERVED

Definition at line 139 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::serial0

Serial byte 0

Definition at line 183 of file SRDMemoryMapping.h.

Referenced by RFIDWriteStateMachine().

unsigned char tSRDEeprom::serial1

Serial byte 1

Definition at line 184 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::serial2

Serial byte 2

Definition at line 185 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::serial3

Serial byte 3

Definition at line 186 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::serial4

Serial byte 4

Definition at line 187 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::serial5

Serial byte 5

Definition at line 188 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::serial6

Serial byte 6

Definition at line 189 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::serial7

Serial byte 7

Definition at line 190 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::serial8

Serial byte 8

Definition at line 191 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::serial9

Serial byte 9

Definition at line 192 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::SRDSerial1

SRD serial byte 0

Definition at line 219 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::SRDSerial2

SRD serial byte 1

Definition at line 220 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::SRDSerial3

SRD serial byte 2

Definition at line 221 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::SRDSerial4

SRD serial byte 3

Definition at line 222 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::SRDSerial5

SRD serial byte 4

Definition at line 223 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::SRDSerial6

SRD serial byte 5

Definition at line 224 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::SRDSerial7

SRD serial byte 6

Definition at line 225 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::SRDSerial8

SRD serial byte 7

Definition at line 226 of file SRDMemoryMapping.h.

union { ... } tSRDEeprom::statusModule

module status field

Referenced by RFIDWriteStateMachine().

unsigned char tSRDEeprom::supercap

Error super cap

Definition at line 160 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::timer

Error timer

Definition at line 158 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::version

SRD Firmware revision

Definition at line 131 of file SRDMemoryMapping.h.

unsigned char tSRDEeprom::watchdog

Error Watchdog

Definition at line 162 of file SRDMemoryMapping.h.

The documentation for this struct was generated from the following file:

- SRDMemoryMapping.h